BandaAncha.eu

Comunidad de usuarios
de fibra, móvil y ADSL

ploblema con vmware

perro006

hola a todos:

paso a contarles mi problema, bueno instale fedora 17 beta en mi notebook, el cual descargue vmware player para instalarlo, y seguí un tutorial de otro lado, el cual me funciono a medias, bueno el link es el Xenode Systems Blog: Instalar VMware Player en Fedora 15 y 16 (32 y 64 Bits)
bueno los pasos me salio todo ok , pero al ir a ejecutarlo me aparece lo siguiente

before you can run vmware, several modules must be compiled and loaded into the running kernel

al cual selecciono install

después me pide la clave de root para ejecutar esto
No se pudo ejecutar la orden « ''\''/usr/bin/vmware-modconfig'\'' --icon='\''vmware-player'\'' --appname='\''VMware'\'' --gcc='\''/usr/bin/gcc'\'' --headers='\''/lib/modules/3.5.1-1.fc17.x86_64/build/include'\'' '»

me da las opciones de ignorar, para seguir con los mismos privilegios, aceptar y cancelar el cual le doy aceptar colocándole la clave que corresponde y me arroja lo siguiente:
No se pudo ejecutar la orden « ''\''/usr/bin/vmware-modconfig'\'' --icon='\''vmware-player'\'' --appname='\''VMware'\'' --gcc='\''/usr/bin/gcc'\'' --headers='\''/lib/modules/3.5.1-1.fc17.x86_64/build/include'\'' '».

y aquí no se que hacer, por eso les pido ayuda, espero que me puedan orientar, muchas gracias.

BocaDePez
BocaDePez

Lo que está pasando es que no tienes el compilador de C instalado y por eso devuelve error. Fíjate que según la salida que nos has pegado, el vwmware está buscando el gcc en

--gcc='\''/usr/bin/gcc'

Necesitas las herramientas necesarias para compilar, así que ejecuta la siguiente línea como root (o via sudo si lo tienes configurado)

# yum install make automake gcc gcc-c++ kernel-devel

Después vuelve a lanzar el vmware y nos dices si la cosa va bien. Saludos!

🗨️ 1
BocaDePez
BocaDePez

La cosa va cada vez peor porque todavía hay gente que usa freidoras y cosas por el estilo.

BocaDePez
BocaDePez

:) gracias ...

te cuento como me fue tenia instalado la ver. 4.x.. instale los paquetes que me dijiste, e hice el mismo procedimiento del instalación del foro que comente, el cual no me funciono, trate de desintalar (click derecho) y tampoco me funciono, pero , se me ocurrió descargar la ultima ver. que es la 5.x... e instale según foro mencionado y funciono, te lo agradezco mucho, pero me queda una duda, ¿si es que no hubiese una nueva ver. que aria?¿ si no me deja desinstalar? , ya que los archivos que descargue son binarios, ¿debieran quedar instalados como cualquier paquete, pero son binarios como desinstalo que hago?, gracias de todas maneras por tu ayuda estaba hace mucho tiempo tratando de arreglar este tema , gracias.

🗨️ 1
mceds

Los programas de Linux que no vienen de repositorios suelen añadir, durante la instalación, algún tipo de desinstalador. Lo normal es que se incorpore a los menúes de Inicio (tanto en KDE como en Gnome).

Si no es así, busca algún "uninstall", principalmente en /usr/bin. También cabe la posibilidad de que el propio instalador lleve el "desinstalador" si se invoca con alguna opción. Hacer un ./instalador --help resolverá el misterio.